Bug 829058 - No handler for read-resource at address in agent.log
No handler for read-resource at address in agent.log
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.0
Unspecified Unspecified
medium Severity low
: ---
: JON 3.1.2
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-05 16:56 EDT by Viet Nguyen
Modified: 2012-09-21 16:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 16:01:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viet Nguyen 2012-06-05 16:56:24 EDT
Description of problem:

I'm seeing a lot of these warnings in agent.log

2012-06-05 16:46:23,457 WARN  [ResourceDiscoveryComponent.invoker.daemon-9] (rhq.modules.plugins.jbossas7.ASConnection)- We got a 500 with the following response body back: {"outcome" : "failed", "failure-description" : "JBAS014739: No handler for read-resource at address [(\"subsystem\" => \"modcluster\")]", "rolled-back" : true}

2012-06-05 16:46:23,581 WARN  [ResourceDiscoveryComponent.invoker.daemon-9] (rhq.modules.plugins.jbossas7.ASConnection)- We got a 500 with the following response body back: {"outcome" : "failed", "failure-description" : "JBAS014739: No handler for read-resource at address [(\"subsystem\" => \"connector\")]", "rolled-back" : true}


Version-Release number of selected component (if applicable):


How reproducible:

JON 3.1.CR2 + AS7 plugin + EAP6CR1

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Charles Crouch 2012-08-29 12:08:01 EDT
As per 8/20 triage 8/20 pushing to JON312
Comment 2 Stefan Negrea 2012-09-21 16:01:49 EDT
This is not an issue. The log entry is just saying that the subsystem or resource is not available in the respective inventoried EAP6 instance. The only way to know if a subsystem is available for management is to probe the server, and if the resource is not there the server responds with 500 error message. The plugin logs the EAP 6 response message and treats it as an indication that the resource is not there.

Not all the subsystem are available in a typical EAP6 instance. The users can preconfigure the server to only run the a subset of all available subsystem. Alternatively, users can avoid loading unused subsystem by starting the server using one of the pre-set configurations. Just as an example, the HA variation of the pre-set configuration is missing some subsystem present only on Full-HA configuration.

Note You need to log in before you can comment on or make changes to this bug.